import { SimpleLocalIntegration } from '../../core/index.js';
import { DuotecnoConfigFlow } from './duotecno.classes.configflow.js';
import { createDuotecnoDiscoveryDescriptor } from './duotecno.discovery.js';
import type { IDuotecnoConfig } from './duotecno.types.js';
import { duotecnoDomain, duotecnoProfile } from './duotecno.types.js';

export class DuotecnoIntegration extends SimpleLocalIntegration<IDuotecnoConfig> {
  public readonly domain = duotecnoDomain;
  public readonly discoveryDescriptor = createDuotecnoDiscoveryDescriptor();
  public readonly configFlow = new DuotecnoConfigFlow();

  constructor() {
    super(duotecnoProfile);
  }
}

export class HomeAssistantDuotecnoIntegration extends DuotecnoIntegration {}
